# -*- encoding: utf-8 -*-
# stub: aldrich 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "aldrich".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["James Christie".freeze, "Christopher Hobbs".freeze]
  s.date = "2016-05-20"
  s.description = "A project that is an attempt to rehabilitate and generalize a data ingestion/importation service originally built for a retail, e-commerce platform. It aims to provide a robust solution for mapping intermediate representations of database records (CSV at the moment) to persisted data. The process allows simulation, validation, and control of the arrangement of the final data form. The ultimate goal is a project that is flexible enough to use in a pure-Ruby, Rails, or standalone application backed by data storage of your choice (as long as model representations can be accessed via Ruby).".freeze
  s.email = ["james.aaron.christie@gmail.com".freeze, "cmhobbs@member.fsf.org".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["README.md".freeze]
  s.homepage = "https://github.com/JamesChristie/".freeze
  s.licenses = ["GPL3".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A data ingestion, validation, simulation, and persistence tool".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 2
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["~> 11"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 4.2"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 11"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rails>.freeze, ["~> 4.2"])
  end
end
